<div class="row">
  <div class="col-8">
    <div class="card">
      <div class="class-header bg-primary">
        <div class="row">
          <div class="col-6 text-white">
            Employee Portal
          </div>
          <div class="col-6 text-right">

          </div>
        </div>
      </div>
      <div class="card-body">
        <table class="table table-bordered">
          <thead>
            <tr class="text-centered">
              <th>Sr.No</th>
              <th>Salary ID</th>
              <th>Emp ID</th>
              <th>salary Date</th>
              <th>Total Advance</th>
              <th>Present Days</th>
              <th>Salary Amount</th>
              <th>Salary To Be Paid</th>
              <th>Action</th>
            </tr>
          </thead>

          <tbody>
            <tr *ngFor="let item of salaryArray; let sr=index">
              <td>{{sr+1}}</td>
              <td>{{item.salaryId}}</td>
              <td>{{item.empId}}</td> <!--empId -->
              <td>{{item.salaryDate | date: 'dd-MMM-yyyy'}}</td>
              <td>{{item.totalAdvance}}</td>
              <td>{{item.presentDays}}</td>
              <td>{{item.salaryAmount}}</td>
              <td>{{item.salaryToBePaid}}</td>
              <td><Button class="btn btn-success btn-sm" (click)="onEdit(item.salaryId)">edit</Button>
                <Button class="btn btn-danger btn-sm mx-2" (click)="onDelete(item.salaryId)">delete</Button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>

  <div class="col-4">
    <div class="card">
      <div class="class-header bg-primary">
        <div class="row">
          <div class="col-6 text-white">
            Add/Edit Salary
          </div>
          <div class="col-6 text-right">

          </div>
        </div>
      </div>
      <div class="card-body">
        <form>
          <div class="row">
            <div class="col-6">
              <label for="">Select Employee</label>
              <select name="employeeId" class="form-control" [(ngModel)]="salaryObj.empId">
                <option *ngFor="let emp of employeeArray" [value]="emp.salaryId">{{emp.empName}}</option>
              </select>
            </div>
            <div class="col-6">
              <label for="">salary Date</label>
              <input type="date" class="form-control" name="salaryDate" [(ngModel)]="salaryObj.salaryDate" />
            </div>

            <!-- <div class="col-6">
              <label for="">Total Advance</label>
              <input type="text" class="form-control" name="outTime" [(ngModel)]="salaryObj.totalAdvance" />
            </div>

            <div class="col-6">
              <label for="">Present Days</label>
              <input type="text" name="presentDays" [(ngModel)]="salaryObj.presentDays" />
            </div> -->
            <div class="col-6">
              <label for="">Salary</label>
              <input type="text" name="salaryAmount" [(ngModel)]="salaryObj.salaryAmount" />
            </div>

            <div class="row text-center pt-3">
              <div class="col-6">
                <button (click)="onReset()" class="btn btn-secondary btn-sm">Reset</button>
              </div>
              <div class="col-6">
                {{this.salaryObj.salaryId}}
                <button (click)="onSave()" (focus)="calculateSalary()" class="btn btn-success btn-sm"
                  *ngIf="this.salaryObj.salaryId==0">Save
                  Salary</button>
                <button (click)="onSave()" class="btn btn-warning btn-sm" *ngIf="this.salaryObj.salaryId!=0">Update
                  Salary</button>


              </div>
            </div>
          </div>
        </form>
      </div>

    </div>
  </div>
</div>